#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          amazon-prime-india 
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the boxee
### END INIT INFO

PKG_PATH=/usr/local/AppCentral/amazon-prime-india
ASPORTAL_PATH=/usr/local/AppCentral/asportal
ASPORTAL_STAT="`apkg --info-installed asportal | grep 'Enabled:' | awk '{print $2}'`"

NAME=amazon-prime-india



. /lib/lsb/init-functions

start_daemon () {

    sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/amazon_video_india.json
    sed -i 's/\"show\":\".*\"/\"show\":\"true\"/g' $PKG_PATH/asportal/amazon_music_india.json
	
	if [ -e "$ASPORTAL_PATH" ]; then
	     if [ "Yes" == "$ASPORTAL_STAT" ]; then
	     	$ASPORTAL_PATH/CONTROL/start-stop.sh reload &
 	     fi
	fi

}

stop_daemon () {


    sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/amazon_video_india.json
    sed -i 's/\"show\":\".*\"/\"show\":\"false\"/g'  $PKG_PATH/asportal/amazon_music_india.json
	
    if [ -e "$ASPORTAL_PATH" ]; then
        if [ "Yes" == "$ASPORTAL_STAT" ]; then
            $ASPORTAL_PATH/CONTROL/start-stop.sh reload &
	    fi
	fi
}

suspend_daemon() {
   echo "suspend amazon-prime-india" 
   }  
   resume_daemon() { echo "resume amazon-prime-india"
}


case "$1" in
    start)
        log_daemon_msg "Starting daemon" "$NAME"
        start_daemon
        log_end_msg 0
        ;;
    stop)
        log_daemon_msg "Stopping daemon" "$NAME"
        stop_daemon
        log_end_msg 0
        ;;
    reload)
        log_daemon_msg "Reloading daemon" "$NAME"

        start_daemon
        log_end_msg 0
        ;;
    suspend)
        suspend_daemon
        ;;
    resume)
        resume_daemon
        ;;
    restart|force-reload)
        log_daemon_msg "Restarting daemon" "$NAME"
        start_daemon
        log_end_msg 0
        ;;
    debug)
        ;;
    *)
        echo "Usage: /etc/init.d/$NAME {start|stop|reload|force-reload|restart}"
        exit 2
        ;;
esac

if [ "$1" != "debug" ] ; then
    exit 0
fi
